import { AlertService } from '@zeedhi/common';

export class GenericValueController {
  readonly valueList = [
    {
      columnName: 'DIASEST',
      value: 7,
    },
    {
      columnName: 'PROCESSINGDATE',
      value: '03/02/2023',
    },
    {
      columnName: 'QTDIASATRASO',
      value: 15,
    },
    {
      columnName: 'VRAJUSTE',
      value: 1320.12,
    },
    {
      columnName: 'VRSOLEXTRA',
      value: 120,
    },
    {
      columnName: 'VRDESVIO',
      value: 2000,
    },
    {
      columnName: 'PROXLIBCARD',
      value: '20/02/2023',
    },
    {
      columnName: 'DIAAPROV',
      value: 17,
    },
    {
      columnName: 'IMPACTO',
      value: 2761.78,
    },
    {
      columnName: 'QTDE',
      value: 6,
    },
  ];
  
  readonly valueGraphicBar = {
    costAnalysisGU: [
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00200',
        NMSERVICO: 'LANCHE MANHA',
        CUSTOPLANTOT: 1200.00,
        CUSTOREALTOT: 440.12,
      },
      {
        CDSERVFILI: '00300',
        NMSERVICO: 'ALMOCO',
        CUSTOPLANTOT: 2400.00,
        CUSTOREALTOT: 1756.90,
      },
      {
        CDSERVFILI: '00400',
        NMSERVICO: 'LANCHE TARDE',
        CUSTOPLANTOT: 800.00,
        CUSTOREALTOT: 877.12,
      },
      {
        CDSERVFILI: '00500',
        NMSERVICO: 'CAFE TARDE',
        CUSTOPLANTOT: 1200.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00600',
        NMSERVICO: 'CEIA',
        CUSTOPLANTOT: 2000.00,
        CUSTOREALTOT: 2221.10,
      },
      {
        CDSERVFILI: '00700',
        NMSERVICO: 'DESEJUM BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '00800',
        NMSERVICO: 'DESEJUM8 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '00900',
        NMSERVICO: 'DESEJUM9 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01000',
        NMSERVICO: 'DESEJUM10 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01001',
        NMSERVICO: 'DESEJUM11 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01002',
        NMSERVICO: 'DESEJUM12 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
    ],
    inflationGU: [
      {
        CDARVPROD: '1221223000',
        NMPRODUTO: 'ATUM',
        NMUNID: 'KG',
        VRINFLACAO: 10,
      },
      {
        CDARVPROD: '1220212300',
        NMPRODUTO: 'SAL REFINADO KG',
        NMUNID: 'KG',
        VRINFLACAO: 6,
      },
      {
        CDARVPROD: '1110100301',
        NMPRODUTO: 'MACARRAO PENNE C/OVOS KG',
        NMUNID: 'KG',
        VRINFLACAO: 6,
      },
      {
        CDARVPROD: '1230205000',
        NMPRODUTO: 'BIFE BOVINO KG',
        NMUNID: 'KG',
        VRINFLACAO: 4,
      },
      {
        CDARVPROD: '1220109500',
        NMPRODUTO: 'BATATA PALHA KG',
        NMUNID: 'KG',
        VRINFLACAO: 1,
      },
      {
        CDARVPROD: '1110100300',
        NMPRODUTO: 'FEIJAO PRETO TIPO 1 KG',
        NMUNID: 'KG',
        VRINFLACAO: 0.00,
      },
      {
        CDARVPROD: '1220102000',
        NMPRODUTO: 'BIFE DE BOI',
        NMUNID: 'KG',
        VRINFLACAO: -1,
      },
      {
        CDARVPROD: '1110101000',
        NMPRODUTO: 'ARROZ AGULHINHA TIPO 1 - KG',
        NMUNID: 'KG',
        VRINFLACAO: -40,
      },
      {
        CDARVPROD: '1110101000',
        NMPRODUTO: 'ACEM PECA KG',
        NMUNID: 'KG',
        VRINFLACAO: -14,
      },
    ],
    puAnalysisDayChart: [
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00200',
        NMSERVICO: 'LANCHE MANHA',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00300',
        NMSERVICO: 'ALMOCO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00400',
        NMSERVICO: 'LANCHE TARDE',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00500',
        NMSERVICO: 'CAFE TARDE',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00600',
        NMSERVICO: 'CEIA',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00700',
        NMSERVICO: 'DESEJUM BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00800',
        NMSERVICO: 'DESEJUM8 BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '00900',
        NMSERVICO: 'DESEJUM9 BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '01000',
        NMSERVICO: 'DESEJUM10 BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '01001',
        NMSERVICO: 'DESEJUM11 BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
      {
        CDSERVFILI: '01002',
        NMSERVICO: 'DESEJUM12 BRANDO',
        VRCUSTPADR: 3.00,
        CUSTOREAL: 3.12,
        CUSTOPLAN: 3.10,
      },
    ],
    costAnalysisAccumulatedChart: [
      {
        NMFILIAL: 'UNIDADE A',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE B',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE C',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE D',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE E',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE F',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE G',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE H',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE I',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE J',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE K',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
      {
        NMFILIAL: 'UNIDADE L',
        META: 1000,
        CUSTOPLA: 1500.00,
        CUSTOREAL: 978.65,
      },
    ],
    periodBudget: [
      {
        DTMESPERIODO: '01/01/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'JANEIRO  ',
        VRORCAMENTO: 3000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 1978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 1700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/02/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'FEVEREIRO  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 3000,
        VRORCAREALOC: 1978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 1700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/03/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'MARCO  ',
        VRORCAMENTO: 2500,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 1978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 1700,
      },
      {
        DTMESPERIODO: '01/04/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'ABRIL  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/05/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'MAIO  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/06/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'JUNHO  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/07/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'JULHO  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/08/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'AGOSTO  ',
        VRORCAMENTO: 1000,
        VRORCAMENTODESP: 1000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/09/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'SETEMBRO  ',
        VRORCAMENTO: 3000,
        VRORCAMENTODESP: 3000,
        VRORCAREALOC: 1978.65,
        VRORCAREALOCDESP: 1978.65,
        VRREALIZADO: 1700,
        VRREALIZADODESP: 1700,
      },
      {
        DTMESPERIODO: '01/10/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'OUTUBRO  ',
        VRORCAMENTO: 2000,
        VRORCAMENTODESP: 2000,
        VRORCAREALOC: 978.65,
        VRORCAREALOCDESP: 978.65,
        VRREALIZADO: 700,
        VRREALIZADODESP: 700,
      },
      {
        DTMESPERIODO: '01/11/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'NOVEMBRO  ',
        VRORCAMENTO: 4000,
        VRORCAMENTODESP: 4000,
        VRORCAREALOC: 2978.65,
        VRORCAREALOCDESP: 2978.65,
        VRREALIZADO: 2700,
        VRREALIZADODESP: 2700,
      },
      {
        DTMESPERIODO: '01/12/2021 00:00:00',
        IDORIGEM: 'CONSUMO',
        MES: 'DEZEMBRO  ',
        VRORCAMENTO: 3000,
        VRORCAMENTODESP: 3000,
        VRORCAREALOC: 1978.65,
        VRORCAREALOCDESP: 1978.65,
        VRREALIZADO: 1700,
        VRREALIZADODESP: 1700,
      },
    ],
    workflowConsumptionChart: [
      {
        CODIGO: 1,
        DESCRICAO: 'ALIMENTOS',
        NRORG: 1,
        VRORCAMENTO: 3000,
        VRREALIZADO: 1700,
      },
      {
        CODIGO: 2,
        DESCRICAO: 'ALIMENTOS B',
        NRORG: 1,
        VRORCAMENTO: 2000,
        VRREALIZADO: 1100,
      },
      {
        CODIGO: 3,
        DESCRICAO: 'ALIMENTOS C',
        NRORG: 1,
        VRORCAMENTO: 1000,
        VRREALIZADO: 1700,
      },
    ],
    workflowExpenseChart: [
      {
        CODIGO: 1,
        DESCRICAO: 'ALIMENTOS E',
        NRORG: 1,
        VRORCAMENTO: 3000,
        VRREALIZADO: 1700,
      },
      {
        CODIGO: 2,
        DESCRICAO: 'ALIMENTOS F',
        NRORG: 1,
        VRORCAMENTO: 2000,
        VRREALIZADO: 1100,
      },
      {
        CODIGO: 3,
        DESCRICAO: 'ALIMENTOS G',
        NRORG: 1,
        VRORCAMENTO: 1000,
        VRREALIZADO: 1700,
      },
    ],
    inflationGrid: [
      {
        CDARVPROD: '1221223000',
        NMPRODUTO: 'ATUM',
        NMUNID: 'KG',
        VRINFLACAO: 10,
      },
      {
        CDARVPROD: '1220212300',
        NMPRODUTO: 'SAL REFINADO KG',
        NMUNID: 'KG',
        VRINFLACAO: 6,
      },
      {
        CDARVPROD: '1110100301',
        NMPRODUTO: 'MACARRAO PENNE C/OVOS KG',
        NMUNID: 'KG',
        VRINFLACAO: 6,
      },
      {
        CDARVPROD: '1230205000',
        NMPRODUTO: 'BIFE BOVINO KG',
        NMUNID: 'KG',
        VRINFLACAO: 4,
      },
      {
        CDARVPROD: '1220109500',
        NMPRODUTO: 'BATATA PALHA KG',
        NMUNID: 'KG',
        VRINFLACAO: 1,
      },
      {
        CDARVPROD: '1110100300',
        NMPRODUTO: 'FEIJAO PRETO TIPO 1 KG',
        NMUNID: 'KG',
        VRINFLACAO: 0.00,
      },
      {
        CDARVPROD: '1220102000',
        NMPRODUTO: 'BIFE DE BOI',
        NMUNID: 'KG',
        VRINFLACAO: -1,
      },
      {
        CDARVPROD: '1110101000',
        NMPRODUTO: 'ARROZ AGULHINHA TIPO 1 - KG',
        NMUNID: 'KG',
        VRINFLACAO: -40,
      },
      {
        CDARVPROD: '1110101000',
        NMPRODUTO: 'ACEM PECA KG',
        NMUNID: 'KG',
        VRINFLACAO: -14,
      },
    ],
    costAnalysisGrid: [
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'DESJEJUM',
        CUSTOPLANTOT: 1500.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00200',
        NMSERVICO: 'LANCHE MANHA',
        CUSTOPLANTOT: 1200.00,
        CUSTOREALTOT: 440.12,
      },
      {
        CDSERVFILI: '00300',
        NMSERVICO: 'ALMOCO',
        CUSTOPLANTOT: 2400.00,
        CUSTOREALTOT: 1756.90,
      },
      {
        CDSERVFILI: '00400',
        NMSERVICO: 'LANCHE TARDE',
        CUSTOPLANTOT: 800.00,
        CUSTOREALTOT: 877.12,
      },
      {
        CDSERVFILI: '00500',
        NMSERVICO: 'CAFE TARDE',
        CUSTOPLANTOT: 1200.00,
        CUSTOREALTOT: 978.65,
      },
      {
        CDSERVFILI: '00600',
        NMSERVICO: 'CEIA',
        CUSTOPLANTOT: 2000.00,
        CUSTOREALTOT: 2221.10,
      },
      {
        CDSERVFILI: '00700',
        NMSERVICO: 'DESEJUM BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '00800',
        NMSERVICO: 'DESEJUM8 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '00900',
        NMSERVICO: 'DESEJUM9 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01000',
        NMSERVICO: 'DESEJUM10 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01001',
        NMSERVICO: 'DESEJUM11 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
      {
        CDSERVFILI: '01002',
        NMSERVICO: 'DESEJUM12 BRANDO',
        CUSTOPLANTOT: 700.00,
        CUSTOREALTOT: 400.50,
      },
    ],
    costAnalysisAccumulatedGrid: [
      {
        CDFILIAL: '9999',
        CUSTOPLA: 109692.90221105563,
        CUSTOREAL: 16249.8568811976,
        DIFERENCA: 1719.2,
        DIFREALMETA: -10080.0968811976,
        DIFREALPLA: 93443.04532985803,
        DTPROCESSA: '30/09/2021',
        DTULTAPURAC: '01/08/2022',
        META: 6169.76,
        NMFILIAL: 'ADMINISTRACAO BH/APOIO',
        QTCOMEFESERV: 2521.2,
        QTCOMESTSERV: 802,
        QTDIASATRASOPROC: 616.059699074074,
      },
      {
        CDFILIAL: '0001',
        CUSTOPLA: 109692.90221105563,
        CUSTOREAL: 16249.8568811976,
        DIFERENCA: 1719.2,
        DIFREALMETA: -10080.0968811976,
        DIFREALPLA: 93443.04532985803,
        DTPROCESSA: '30/09/2021',
        DTULTAPURAC: '01/08/2022',
        META: 6169.76,
        NMFILIAL: 'AAAAAA',
        QTCOMEFESERV: 2521.2,
        QTCOMESTSERV: 802,
        QTDIASATRASOPROC: 616.059699074074,
      },
    ],
    adjustmentPercentConsumption: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        PERCENTUAL: 10,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        PERCENTUAL: 5,
      },
      {
        CDFILIAL: '0003',
        NMFILIAL: 'UNIDADE C',
        PERCENTUAL: 15,
      },
      {
        CDFILIAL: '0004',
        NMFILIAL: 'UNIDADE D',
        PERCENTUAL: 16,
      },
      {
        CDFILIAL: '9999',
        NMFILIAL: 'UNIDADE E',
        PERCENTUAL: 7,
      },
    ],
    adjustmentPercentConsumptionGrid: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        PERCENTUAL: 10,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        PERCENTUAL: 5,
      },
      {
        CDFILIAL: '0003',
        NMFILIAL: 'UNIDADE C',
        PERCENTUAL: 15,
      },
      {
        CDFILIAL: '0004',
        NMFILIAL: 'UNIDADE D',
        PERCENTUAL: 16,
      },
      {
        CDFILIAL: '9999',
        NMFILIAL: 'UNIDADE E',
        PERCENTUAL: 7,
      },
    ],
    operationalResultGrid: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '0003',
        NMFILIAL: 'UNIDADE C',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '0004',
        NMFILIAL: 'UNIDADE D',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '8888',
        NMFILIAL: 'UNIDADE E',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '9999',
        NMFILIAL: 'UNIDADE F',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '7777',
        NMFILIAL: 'UNIDADE G',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
      {
        CDFILIAL: '6666',
        NMFILIAL: 'UNIDADE H',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 1000,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
      },
    ],
    operationalResult: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '0003',
        NMFILIAL: 'UNIDADE C',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '0004',
        NMFILIAL: 'UNIDADE D',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '8888',
        NMFILIAL: 'UNIDADE E',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '9999',
        NMFILIAL: 'UNIDADE F',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '7777',
        NMFILIAL: 'UNIDADE G',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 10,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
      {
        CDFILIAL: '6666',
        NMFILIAL: 'UNIDADE H',
        VRPERCONSUMO: 10,
        VRPERCONSUMOORCA: 10,
        VRFATBRUTO: 1000,
        VRDEDURECEITA: 10,
        VRDESPESATOT: 10,
        VRMAOOBRA: 10,
        VRRESULTFINAL: 10,
        VRRESULTFINALPROJ: 20,
        VRRESULTFINALORCA: 30,
      },
    ],
    daysOfStockGO: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        CDSUBGRPROD: '0000000001',
        DIASEST: 10,
        NMSUBGRPROD: 'SUBGRUPO A',
        NRORG: 1,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        CDSUBGRPROD: '0000000001',
        DIASEST: 6,
        NMSUBGRPROD: 'SUBGRUPO B',
        NRORG: 1,
      },
      {
        CDFILIAL: '0003',
        NMFILIAL: 'UNIDADE C',
        CDSUBGRPROD: '0000000001',
        DIASEST: 15,
        NMSUBGRPROD: 'SUBGRUPO C',
        NRORG: 1,
      },
      {
        CDFILIAL: '0004',
        NMFILIAL: 'UNIDADE D',
        CDSUBGRPROD: '0000000001',
        DIASEST: 2,
        NMSUBGRPROD: 'SUBGRUPO D',
        NRORG: 1,
      },
      {
        CDFILIAL: '0005',
        NMFILIAL: 'UNIDADE E',
        CDSUBGRPROD: '0000000001',
        DIASEST: 10,
        NMSUBGRPROD: 'SUBGRUPO E',
        NRORG: 1,
      },
      {
        CDFILIAL: '0006',
        NMFILIAL: 'UNIDADE F',
        CDSUBGRPROD: '0000000001',
        DIASEST: 0,
        NMSUBGRPROD: 'SUBGRUPO F',
        NRORG: 1,
      },
      {
        CDFILIAL: '0007',
        NMFILIAL: 'UNIDADE G',
        CDSUBGRPROD: '0000000001',
        DIASEST: 10,
        NMSUBGRPROD: 'SUBGRUPO G',
        NRORG: 1,
      },
      {
        CDFILIAL: '0008',
        NMFILIAL: 'UNIDADE H',
        CDSUBGRPROD: '0000000001',
        DIASEST: 3,
        NMSUBGRPROD: 'SUBGRUPO H',
        NRORG: 1,
      },
      {
        CDFILIAL: '0009',
        NMFILIAL: 'UNIDADE I',
        CDSUBGRPROD: '0000000001',
        DIASEST: 22,
        NMSUBGRPROD: 'SUBGRUPO I',
        NRORG: 1,
      },
    ],
    daysOfStockGOGrid: [
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        CDSUBGRPROD: null,
        NMSUBGRPROD: null,
        DIASEST: 10,
        DTPROCESSA: '03/02/2023',
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: null,
        ID: '0001',
        NRORG: 1,
      },
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        CDSUBGRPROD: '0000000001',
        NMSUBGRPROD: 'SUBGRUPO A',
        DIASEST: 10,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0001',
        ID: '0001.1',
        NRORG: 1,
      },
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        CDSUBGRPROD: '0000000002',
        NMSUBGRPROD: 'SUBGRUPO B',
        DIASEST: 10,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0001',
        ID: '0001.2',
        NRORG: 1,
      },
      {
        CDFILIAL: '0001',
        NMFILIAL: 'UNIDADE A',
        CDSUBGRPROD: '0000000003',
        NMSUBGRPROD: 'SUBGRUPO C',
        DIASEST: 2,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0001',
        ID: '0001.3',
        NRORG: 1,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        CDSUBGRPROD: null,
        NMSUBGRPROD: null,
        DIASEST: 10,
        DTPROCESSA: '03/02/2023',
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: null,
        ID: '0002',
        NRORG: 1,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        CDSUBGRPROD: '0000000001',
        NMSUBGRPROD: 'SUBGRUPO A',
        DIASEST: 7,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0002',
        ID: '0002.1',
        NRORG: 1,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        CDSUBGRPROD: '0000000002',
        NMSUBGRPROD: 'SUBGRUPO B',
        DIASEST: 10,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0002',
        ID: '0002.2',
        NRORG: 1,
      },
      {
        CDFILIAL: '0002',
        NMFILIAL: 'UNIDADE B',
        CDSUBGRPROD: '0000000003',
        NMSUBGRPROD: 'SUBGRUPO C',
        DIASEST: 2,
        DTPROCESSA: null,
        NRCONSUMOD_ROP: 1,
        PARENT_FILIAL: '0002',
        ID: '0002.3',
        NRORG: 1,
      },
    ],
    trendAnalysisGrid: [
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00001 - BISCOITO CREAM CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 4.5,
        VRPUTENDENCIA: 4.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00002 - BISCOITO CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 3.5,
        VRPUTENDENCIA: 3.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00003 - BISCOITO CREAM',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 5.5,
        VRPUTENDENCIA: 5.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00004 - CREAM CRACKER',
        VRPUOBJETIVO: 6,
        VRPUPLANEJADO: 6.5,
        VRPUTENDENCIA: 6.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00001 - BISCOITO CREAM CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 4.5,
        VRPUTENDENCIA: 4.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00002 - BISCOITO CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 3.5,
        VRPUTENDENCIA: 3.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00003 - BISCOITO CREAM',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 5.5,
        VRPUTENDENCIA: 5.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00004 - CREAM CRACKER',
        VRPUOBJETIVO: 6,
        VRPUPLANEJADO: 6.5,
        VRPUTENDENCIA: 6.8,
        NRORG: 1,
      },
    ],
    trendAnalysisChart: [
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00001 - BISCOITO CREAM CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 4.5,
        VRPUTENDENCIA: 4.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00002 - BISCOITO CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 3.5,
        VRPUTENDENCIA: 3.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00003 - BISCOITO CREAM',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 5.5,
        VRPUTENDENCIA: 5.8,
        NRORG: 1,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00004 - CREAM CRACKER',
        VRPUOBJETIVO: 6,
        VRPUPLANEJADO: 6.5,
        VRPUTENDENCIA: 6.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00001 - BISCOITO CREAM CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 4.5,
        VRPUTENDENCIA: 4.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00002 - BISCOITO CRACKER',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 3.5,
        VRPUTENDENCIA: 3.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00003 - BISCOITO CREAM',
        VRPUOBJETIVO: 5,
        VRPUPLANEJADO: 5.5,
        VRPUTENDENCIA: 5.8,
        NRORG: 1,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00004 - CREAM CRACKER',
        VRPUOBJETIVO: 6,
        VRPUPLANEJADO: 6.5,
        VRPUTENDENCIA: 6.8,
        NRORG: 1,
      },
    ],
    aFDeliveryLastWeekChart: [
      {
        DTPROGENTAF: '28/01/2023',
        ENTREGA_TOTAL: 30,
        ENTREGA_PARCIAL: 5,
        NAO_ENTREGUE: 1,
        DEVOLUCAO: 0,
        PENDENTE: 3,
      },
      {
        DTPROGENTAF: '29/01/2023',
        ENTREGA_TOTAL: 52,
        ENTREGA_PARCIAL: 35,
        NAO_ENTREGUE: 10,
        DEVOLUCAO: 8,
        PENDENTE: 14,
      },
      {
        DTPROGENTAF: '30/01/2023',
        ENTREGA_TOTAL: 15,
        ENTREGA_PARCIAL: 12,
        NAO_ENTREGUE: 16,
        DEVOLUCAO: 3,
        PENDENTE: 0,
      },
      {
        DTPROGENTAF: '31/01/2023',
        ENTREGA_TOTAL: 10,
        ENTREGA_PARCIAL: 35,
        NAO_ENTREGUE: 12,
        DEVOLUCAO: 0,
        PENDENTE: 0,
      },
      {
        DTPROGENTAF: '01/02/2023',
        ENTREGA_TOTAL: 31,
        ENTREGA_PARCIAL: 10,
        NAO_ENTREGUE: 15,
        DEVOLUCAO: 6,
        PENDENTE: 30,
      },
      {
        DTPROGENTAF: '02/02/2023',
        ENTREGA_TOTAL: 50,
        ENTREGA_PARCIAL: 25,
        NAO_ENTREGUE: 10,
        DEVOLUCAO: 4,
        PENDENTE: 5,
      },
      {
        DTPROGENTAF: '03/02/2023',
        ENTREGA_TOTAL: 15,
        ENTREGA_PARCIAL: 0,
        NAO_ENTREGUE: 10,
        DEVOLUCAO: 2,
        PENDENTE: 7,
      },
    ],
  };
  
  readonly valueGrid = {
    todayDeliveriesGrid: [
      {
        NRAUTOFORN: '0000000133',
        NMFANTFORN: '1000 MARCAS',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000133',
        NMFANTFORN: '1000 MARCAS',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000134',
        NMFANTFORN: 'BERG SUPERMERCADO',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 2,
      },
      {
        NRAUTOFORN: '0000000130',
        NMFANTFORN: '1000 MARCAS',
        VRTOTALAF: 40,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 2,
      },
      {
        NRAUTOFORN: '0000000131',
        NMFANTFORN: 'BERG SUPERMERCADO',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000132',
        NMFANTFORN: 'BERG SUPERMERCADO',
        VRTOTALAF: 20,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000135',
        NMFANTFORN: '1000 MARCAS',
        VRTOTALAF: 20,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000136',
        NMFANTFORN: 'BERG SUPERMERCADO',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000137',
        NMFANTFORN: '1000 MARCAS',
        VRTOTALAF: 20,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
      {
        NRAUTOFORN: '0000000138',
        NMFANTFORN: 'BERG SUPERMERCADO',
        VRTOTALAF: 10,
        STATUS: 'Aprovado',
        NRDTPROC: 2,
        DTPROGENTAF: '15/03/2023',
        NRDIA: 1,
      },
    ],
    productWithoutMovGrid: [
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código B',
        NMPRODUTO: 'Produto B',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '9999999999',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Descartáveis',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
      {
        CDARVPROD: 'Código A',
        NMPRODUTO: 'Produto A',
        DTLANCMOVI: '15/03/2020',
        SGUNIDADE: 'KG',
        VRTOTALESTOQ: 2000,
        CDSUBGRPROD: '0000000000',
        SELECTED: 'Alimentar',
      },
    ],
    expenBudgetGrid: [
      {
        NIVEL: 'A',
        DESCRICAO: 'NIVEL A',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 1500,
        VRORCAMENTO: 2000,
        TIPO: 'P',
      },
      {
        NIVEL: 'B',
        DESCRICAO: 'NIVEL B',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 1500,
        VRORCAMENTO: 1000,
        TIPO: 'P',
      },
      {
        NIVEL: 'C',
        DESCRICAO: 'NIVEL C',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 2500,
        VRORCAMENTO: 2000,
        TIPO: 'P',
      },
      {
        NIVEL: 'D',
        DESCRICAO: 'NIVEL D',
        SELECTED: 'CONSUMO',
        IDORIGEM: 'CONSUMO',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 2000,
        VRORCAMENTO: 3000,
        TIPO: 'P',
      },
    ],
    consumBudgetGrid: [
      {
        NIVEL: 'A',
        DESCRICAO: 'NIVEL A',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 1500,
        VRORCAMENTO: 2000,
        TIPO: 'P',
      },
      {
        NIVEL: 'B',
        DESCRICAO: 'NIVEL B',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 1500,
        VRORCAMENTO: 1000,
        TIPO: 'P',
      },
      {
        NIVEL: 'C',
        DESCRICAO: 'NIVEL C',
        SELECTED: 'DESPESA',
        IDORIGEM: 'DESPESA',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 2500,
        VRORCAMENTO: 2000,
        TIPO: 'P',
      },
      {
        NIVEL: 'D',
        DESCRICAO: 'NIVEL D',
        SELECTED: 'CONSUMO',
        IDORIGEM: 'CONSUMO',
        IDTPDEMANDA: 'AF',
        VRORCAREALOC: 0,
        VRREALIZADO: 2000,
        VRORCAMENTO: 3000,
        TIPO: 'P',
      },
    ],
    demonstrativeSummaryGrid: [
      {
        DIFERENCA: 5660,
        NMITEM: 'T_FAT',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_DEDUREC',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_FATLIQ',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_ARRECADAADM',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_TAXADM',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_CMV',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_MARCONT',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_DESP',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_MAOBRA',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_RESULT',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_DEPRE',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_INVEST',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
      {
        DIFERENCA: 5660,
        NMITEM: 'T_RESULTOT',
        PERCENTORCADO: 0,
        PERCENTREAL: 0,
        VRORCADO: 0,
        VRREAL: 5660,
      },
    ],
    monitoringOfStaffGrid: [
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00001 - SERVICO A',
        QTCOMESTMES: 200,
        QTCOMESTPOS: 150,
        QTEFETIVOS: 160,
        DTPROCESSA: '03/02/2023',
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00002 - SERVICO B',
        QTCOMESTMES: 50,
        QTCOMESTPOS: 100,
        QTEFETIVOS: 60,
        DTPROCESSA: '03/02/2023',
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00001 - SERVICO A',
        QTCOMESTMES: 200,
        QTCOMESTPOS: 150,
        QTEFETIVOS: 160,
        DTPROCESSA: '03/02/2023',
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00002 - SERVICO B',
        QTCOMESTMES: 300,
        QTCOMESTPOS: 250,
        QTEFETIVOS: 260,
        DTPROCESSA: '03/02/2023',
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00003 - SERVICO C',
        QTCOMESTMES: 200,
        QTCOMESTPOS: 150,
        QTEFETIVOS: 160,
        DTPROCESSA: '03/02/2023',
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00004 - SERVICO D',
        QTCOMESTMES: 20,
        QTCOMESTPOS: 15,
        QTEFETIVOS: 16,
        DTPROCESSA: '03/02/2023',
      },
    ],
    costComparisonGrid: [
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00001 - SERVICO A',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
      {
        FILIAL: '0001 - UNIDADE A',
        SERVICO: '00002 - SERVICO B',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00001 - SERVICO A',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00002 - SERVICO B',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00003 - SERVICO C',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
      {
        FILIAL: '0002 - UNIDADE B',
        SERVICO: '00004 - SERVICO D',
        VRDIFOBJPLA: 200,
        VRDIFOBJTEND: 150,
        VRPUPLAANT: 160,
        VRPUREALANT: 30,
        VRPUPLAPRXMES: 10,
      },
    ],
    afApprovalTracking: [
      {
        DTPROGENTAF: '03/02/2023',
        TOTALAF: 10,
        CONFIRMADA: 4,
        NAOCONFIRMADA: 6,
        COMNF: 3,
        SEMNF: 1,
        NRORG: 1,
      },
      {
        DTPROGENTAF: '05/02/2023',
        TOTALAF: 10,
        CONFIRMADA: 4,
        NAOCONFIRMADA: 6,
        COMNF: 3,
        SEMNF: 1,
        NRORG: 1,
      },
      {
        DTPROGENTAF: '07/02/2023',
        TOTALAF: 10,
        CONFIRMADA: 4,
        NAOCONFIRMADA: 6,
        COMNF: 3,
        SEMNF: 1,
        NRORG: 1,
      },
      {
        DTPROGENTAF: '10/02/2023',
        TOTALAF: 10,
        CONFIRMADA: 4,
        NAOCONFIRMADA: 6,
        COMNF: 3,
        SEMNF: 1,
        NRORG: 1,
      },
    ],
  };
  
  readonly valueGridCard = {
    daysOfStockGU: [
      {
        CDSUBGRPROD: '0000000001',
        NMSUBGRPROD: 'PERECIVEIS',
        VALUE: 3.20,
      },
      {
        CDSUBGRPROD: '0000000002',
        NMSUBGRPROD: 'ESTOCAVEIS',
        VALUE: 6,
      },
      {
        CDSUBGRPROD: '0000000003',
        NMSUBGRPROD: 'DESCARTAVEIS E LIMPEZA',
        VALUE: 1,
      },
      {
        CDSUBGRPROD: '0000000004',
        NMSUBGRPROD: 'PANIFICACAO',
        VALUE: 0,
      },
      {
        CDSUBGRPROD: '0000000005',
        NMSUBGRPROD: 'HORTIFRUTIGRANJEIROS',
        VALUE: 4.6,
      },
      {
        CDSUBGRPROD: '0000000006',
        NMSUBGRPROD: 'HORTALICAS FOLHOSOS',
        VALUE: 1.5,
      },
    ],
    consumptionDiversionGU: [
      {
        SERVICO: 'CAFÉ DA MANHÃ',
        VALUE: 0.86,
      },
      {
        SERVICO: 'ALMOÇO',
        VALUE: 30.25,
      },
      {
        SERVICO: 'LANCHE',
        VALUE: 41.5,
      },
      {
        SERVICO: 'JANTAR',
        VALUE: 2.25,
      },
      {
        SERVICO: 'TRANSPORTADAS',
        VALUE: 10,
      },
      {
        SERVICO: 'REFEIÇÃO HOSPITALAR',
        VALUE: 8,
      },
      {
        SERVICO: 'BUFFET',
        VALUE: 3.78,
      },
    ],
    financialImpactGU: [
      {
        CDSERVFILI: '00100',
        NMSERVICO: 'CAFÉ DA MANHÃ',
        VALUE: 100,
      },
      {
        CDSERVFILI: '00200',
        NMSERVICO: 'ALMOÇO',
        VALUE: 1200,
      },
      {
        CDSERVFILI: '00300',
        NMSERVICO: 'LANCHE',
        VALUE: 0,
      },
      {
        CDSERVFILI: '00400',
        NMSERVICO: 'JANTAR',
        VALUE: 98,
      },
      {
        CDSERVFILI: '00500',
        NMSERVICO: 'TRANSPORTADAS',
        VALUE: 200,
      },
      {
        CDSERVFILI: '00600',
        NMSERVICO: 'REFEIÇÃO HOSPITALAR',
        VALUE: 8,
      },
      {
        CDSERVFILI: '00700',
        NMSERVICO: 'BUFFET',
        VALUE: 30,
      },
    ],
    pendingReleasesGU: [
      {
        NRINSJURFORN: '05017780003200',
        NMFANTFORN: 'FORNECEDOR A',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '15017780003200',
        NMFANTFORN: 'FORNECEDOR B',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '25017780003200',
        NMFANTFORN: 'FORNECEDOR C',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '35017780003200',
        NMFANTFORN: 'FORNECEDOR D',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '45017780003200',
        NMFANTFORN: 'FORNECEDOR E',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '55017780003200',
        NMFANTFORN: 'FORNECEDOR F',
        VALUE: 100,
      },
      {
        NRINSJURFORN: '65017780003200',
        NMFANTFORN: 'FORNECEDOR G',
        VALUE: 100,
      },
    ],
  };
  
  readonly valueGraphicPie = {
    demonstrativeSummary: [
      {
        COLUNA: 'T_CONSUMO',
        PERCENTUAL: 27,
      },
      {
        COLUNA: 'T_DESPESA',
        PERCENTUAL: 29.5,
      },
      {
        COLUNA: 'T_MAOOBRA',
        PERCENTUAL: 30,
      },
      {
        COLUNA: 'T_OUTROS',
        PERCENTUAL: 0,
      },
      {
        COLUNA: 'T_RESULTADO',
        PERCENTUAL: 13.5,
      },
    ],
    productWithoutMov: [
      {
        NMSUBGRPROD: 'Alimentar',
        VRTOTALESTOQ: 1150,
      },
      {
        NMSUBGRPROD: 'Descartáveis',
        VRTOTALESTOQ: 3740.13,
      },
    ],
    expenseBudget: [
      {
        IDTPDEMANDA: 'AF',
        IDORIGEM: 'DESPESA',
        ORDEM: 1,
        VALOR: 3000,
      },
      {
        IDTPDEMANDA: 'DISPONIVEL',
        IDORIGEM: 'DESPESA',
        ORDEM: 0,
        VALOR: 1000,
      },
    ],
    consumptionBudget: [
      {
        IDTPDEMANDA: 'AF',
        IDORIGEM: 'CONSUMO',
        ORDEM: 1,
        VALOR: 3000,
      },
      {
        IDTPDEMANDA: 'DISPONIVEL',
        IDORIGEM: 'CONSUMO',
        ORDEM: 0,
        VALOR: 1000,
      },
    ],
  };
  
  readonly valueGraphicGauge = {
    previousDayAFDeliveryTA: [
      {
        DATAAPURADO: '03/02/2023',
        DSINDICADOR: 'Entrega Total de AF',
        ENTREGA_TOTAL: 66,
        VRLIMMETA: 80,
        VRLIMMINIMO: 40,
      },
    ],
  };
  
  public showCustomAlert() {
    if (localStorage.getItem('GENERIC_VALUE') === 'true') {
      AlertService.show({
        name: 'custom-alert',
        timeout: 0,
        text: 'Dashboard em modo de apresentação, pressione CTRL+ALT+SHIFT+G para sair.',
        color: 'blue',
        right: true,
        top: true,
        type: 'info',
      });
    }
  }
  
  public setGenericValues() {
    localStorage.setItem('GENERIC_VALUE', localStorage.getItem('GENERIC_VALUE') === 'false' ? 'true' : 'false');
    window.location.reload();
  }
}
